#
# spec file for package python-carrot
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-carrot
Version:        0.10.7
Release:        15.5
Url:            http://github.com/ask/carrot/
Summary:        AMQP Messaging Framework for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         carrot-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-amqplib
Requires:       python-anyjson
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
An AMQP messaging queue framework. AMQP is the Advanced Message
Queuing Protocol, an open standard protocol for message orientation, queuing,
routing, reliability and security.

The aim of carrot is to make messaging in Python as easy as possible by
providing a high-level interface for producing and consuming messages. At the
same time it is a goal to re-use what is already available as much as possible.

%prep
%setup -q -n carrot-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc Changelog README TODO
%{python_sitelib}/carrot*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Dec 28 2011 alexandre@exatati.com.br
- Remove CLFAGS and %%clean section from spec file.
* Fri Nov 25 2011 cfarrell@suse.com
- license update: BSD-3-Clause
  SPDX format (http://www.spdx.org/licenses)
* Thu Nov 24 2011 alexandre@exatati.com.br
- Remove %%{mod_name} macro as suggested by namtrac;
- Replace python-setuptools by python-distribute.
* Sat Mar 26 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack;
- Add Changelog, README and TODO files as documentation.
* Thu Sep 16 2010 alexandre@exatati.com.br
- Update to 0.10.6.
* Fri Jun  4 2010 alexandre@exatati.com.br
- Update to 0.10.5.
* Fri May 14 2010 alexandre@exatati.com.br
- Update to 0.10.4.
* Tue Mar  9 2010 alexandre@exatati.com.br
- Update to 0.10.3.
* Wed Feb  3 2010 alexandre@exatati.com.br
- Update to 0.10.2.
* Sat Jan 16 2010 alexandre@exatati.com.br
- Update to 0.10.1.
* Fri Jan 15 2010 alexandre@exatati.com.br
- Update to 0.10.0.
* Mon Nov 16 2009 alexandre@exatati.com.br
- Building as noarch for openSUSE >= 11.2.
* Tue Sep 22 2009 alexandre@exatati.com.br
- Fixed requires in spec file.
* Tue Sep 22 2009 alexandre@exatati.com.br
- Initial package (0.6) for openSUSE.
